# Uses of Class
org.opensaml.core.xml.io.MarshallerFactory

Packages that use MarshallerFactory
Package
Description
org.opensaml.core.testing
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.
org.opensaml.core.xml.io
Interfaces and abstract implementations of marshallers and unmarshallers.

## Uses of MarshallerFactory in org.opensaml.core.testing

Fields in org.opensaml.core.testing declared as MarshallerFactory
Modifier and Type
Field
Description
`protected static MarshallerFactory`
XMLObjectBaseTestCase.`marshallerFactory`
XMLObject marshaller factory.

## Uses of MarshallerFactory in org.opensaml.core.xml.config

Fields in org.opensaml.core.xml.config declared as MarshallerFactory
Modifier and Type
Field
Description
`private MarshallerFactory`
XMLObjectProviderRegistry.`marshallerFactory`
Configured XMLObject marshaller factory.
Methods in org.opensaml.core.xml.config that return MarshallerFactory
Modifier and Type
Method
Description
`MarshallerFactory`
XMLObjectProviderRegistry.`getMarshallerFactory()`
Gets the XMLObject marshaller factory that has been configured with information from loaded configuration files.
`static MarshallerFactory`
XMLObjectProviderRegistrySupport.`getMarshallerFactory()`
Gets the XMLObject marshaller factory that has been configured with information from loaded configuration files.

## Uses of MarshallerFactory in org.opensaml.core.xml.io

Fields in org.opensaml.core.xml.io declared as MarshallerFactory
Modifier and Type
Field
Description
`private final MarshallerFactory`
AbstractXMLObjectMarshaller.`marshallerFactory`
Factory for XMLObject Marshallers.